# Historia wersji programu

nowe zmodyfikowane usunięte

## 4.8.8 (aktualizacja) | 21 styczeń 2015

#### Odtwarzacz

- Po najechaniu myszką na nagłówek są teraz podpowiedzi o aktualnie odtwarzanym pliku (przydatne, jeśli nazwa jest bardzo długa i nie mieści się w nagłówku);

- Zaktualizowano język włoski;
- Usunięto wsparcie dla tworzenia zrzutów ekranu w formacie WebP;

- Naprawiono błąd występujący w niektórych list odtwarzania ASX;
- Wyskakująca podpowiedź na suwaku regulacji dźwięku nie miała wsparcia dla Unicode;
- Ustawienia napisów: naprawiono ignorowanie parametru *szerokość obramowania*;
- Ustawienia -> Klawiatura: w niektórych przypadkach mogło się zdarzyć zawieszanie uprawnień klawiszy;
- Katalog Internetowych Stacji Radiowych: pole *Gatunek* nie obsługiwało Unicode;
- Katalog Internetowych Stacji Radiowych: pole *Bitrate* czasem zawierało nieprawidłowe dane;
- Katalog Internetowych Stacji Radiowych: naprawiono błąd z zamrażaniem, gdy Icecast zawierał ponad 22 miliony rekordów.

#### Silnik wideo

- AVI: uzupełniono i poprawiono wsparcie dla kodeka Matrox MPEG2;
- MKV: ulepszono kompatybilność z niektórymi zewnętrznymi dekoderami wideo;
- MPEG: optymalizacja przetwarzania danych;
- Dirac: optymalizacja przetwarzania danych;
- Napisy: mała optymalizacja przy przetwarzaniu danych;
- Zaktualizowano listę kart graficznych Nvidia i Intel z obsługą sprzętowego dekodowania wideo 4K;
- Zaktualizowano kodeki.

- Dekoder wideo: naprawiono odtwarzanie niektórych plików z błędnie określonym FPS;
- Dekoder wideo: naprawiono wyjście wideo 4:2:0 8bit -> YV12 (występowały zniekształcenia kolorów);
- Dekoder wideo: naprawiono odtwarzanie niektórych MPEG2/H.264 w trybie DXVA;
- Dekoder wideo: niektóre wideo HEVC (głównie studyjne 4K-demo) odtwarzane było z gubieniem klatek, którego odzwierciedleniem w drganie obrazu;
- MP4: niektóre pliki nie były odtwarzane;
- MPEG: naprawiono zawieszanie się podczas próby otworzenia pliku o bardzo małym rozmiarze;
- MKV: nieprawidłowo obliczany był FPS dla H.264 interlaced;
- MKV: niektóre pliki nie były odtwarzane;
- FLV: naprawiono zawieszanie się na niektórych uszkodzonych plikach;
- Real Media: poprawki w obsłudze progressive/interlaced wideo;
- Napisy: niektóre napisy PGS wyświetlane były z "niepoprawnym" czarnym obramowaniem;
- Naprawiono błąd odtwarzacza występujący, gdy w systemie użytkownika był zainstalowany filtr AcerSubtitle;
- Inne drobne poprawki i ulepszenia.

## 4.8.8 | 23 grudzień 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano menu kontekstowe dla przycisków - Wycisz dźwięk/Przełącz strumień, Pokaż/ukryj napisy/Przełącz #1 napisy/Przełącz #2 napisy i Przełącz proporcje wideo z najczęściej używanymi domyślnymi poleceniami. Można je dostosować w Preferencje -> Widok zewnętrzny -> Menu kontekstowe;
- Menu kontekstowe szybkości odtwarzania: dodano szybkości 2.2, 2.4, 2.6, 2.8;

- Zaktualizowano Pomoc;
- Ustawienia -> Wideo: jeśli madVR nie jest zainstalowany, to teraz zamiast wiadomości, gdzie można go pobrać, będzie od razu otwierane http://www.madvr.com/download/
- Menu kontekstowe: jeśli madVR nie jest zainstalowany, to będzie teraz wyświetlany, ale w kolorze szarym (niedostępność);

- Naprawiono zatrzymanie obrazu podczas przeszukiwania;
- Funkcja Odczytuj sygnaturę pliku do wyświetlania czasu trwania nie zawsze poprawnie działała;
- Naprawiono w kopiowaniu napisów: a) jeśli jakieś napisy były wyłączone, to i tak były kopiowane, chociaż nie powinny; b) symbol \N jest teraz poprawnie zamieniany na symbol nowej linii;
- Zapisywanie ustawień mediów: naprawiono nie zapamiętywanie ustawień wzmocnienia dźwięku i opóźnienia dźwięku;
- Naprawiono błąd odtwarzacza występujący podczas dodawania wielu plików poprzez menu kontekstowe Eksploratora Windows;
- Lista odtwarzania: nowa zakładka nie była podświetlana, jeśli odtwarzanie zostało wstrzymane.

#### Silnik wideo

- Napisy: dodano dla czcionki obsługę stylów Italic i Bold Italic. Przydatne dla tych, którzy lubią oglądać napisy z domyślnie ustawioną kursywą, a nie pogrubieniem. Można to ustawić w oknie "Preferencji napisów" (Shift + S).

## 4.8.7 | 30 listopad 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Ustawienia -> Klawiatura: nowe polecenie w sekcji napisów - Kopiuj aktualną linię do schowka systemowego (przydatne, jeśli uczysz się języków i chcesz szybko skopiować aktualnie widoczną linię napisów);
- Ustawienia -> Klawisze globalne: dodano możliwość dostosowania przycisków multimedialnych;
- Ustawienia -> System: dodano opcję sprawdzania aktualizacji (domyślnie włączona);
- Okno "O programie" (przycisk ze znakiem zapytania): dodano przycisk sprawdzania aktualizacji (dla tych, którzy są przyzwyczajeni do sprawdzania aktualizacji po uruchomieniu odtwarzacza);
- Raport listy odtwarzania: dodano tag %VideoDuration%;

- Ukryte ustawienia: poprawki wizualne;
- Zaktualizowano pliki językowe;
- Przeprowadzono drobne optymalizacje;
- Lista odtwarzania teraz zachowuje swoją domyślną szerokość w trybie pełnoekranowym (wcześniej należy sprawdzić opcje dla tej funkcji);
- Ustawienia automatycznej aktualizacji wymagają teraz >= 4.8.7 zamiast >= 4.7.8 (więc jeśli aktualizujesz, powiedzmy, v4.8.5, to twoje ustawienia zostaną usunięte do domyślnych);
- Ustawienia -> Lista Odtwarzania -> Różne: usunięto opcję Pamiętaj status listy (Otwórz / Zamknij), teraz jest zapamiętywany automatycznie;
- Ustawienia -> Wideo -> Zrzuty ekranu: opcje Informacje nakładki OSD i Pokaż napisy mogą być teraz używane niezależnie od siebie;

- Naprawiono uszkodzone odwracanie czasu odtwarzania;
- Znikało obramowanie okna po maksymalizacji okna;
- Naprawiono problem z drugim trybem zapamiętywania stanu paneli;
- Naprawiono zawieszanie się odtwarzacza podczas podglądu na żywo na osi czasu, jeśli używany był ŚPM;
- Naprawiono zawieszanie się odtwarzacza podczas korzystania z pola wyszukiwania w liście odtwarzania;
- Naprawiono zawieszanie się odtwarzacza po usunięciu odtworzonego pliku;
- Naprawiono dodawanie podobnych plików do listy odtwarzania;
- Naprawiono inne drobne problemy;
- Naprawiono funkcjonowanie raportu (karta HTML) listy odtwarzania;
- W niektórych DVD nie zawsze poprawnie działało przechodzenie do trybu pełnoekranowego, jeśli w ustawieniach była odpowiednia opcja;
- Nie działał zgodnie z przeznaczeniem przycisk odtwarzaj/wstrzymaj podczas odtwarzania DVD;

#### Silnik wideo

- Dodano obsługę dwóch napisów na zrzutach ekranu (wcześniej były widoczne tylko jedne napisy);
- HEVC: dodano wsparcie uzyskiwania informacji crop/fps;
- MPEG: dodano obsługę HEVC w MPEG-PS.
- MP4: ulepszono przewijanie wg klatek kluczowych;

- Zaktualizowano kodeki;
- Ulepszono kopiowanie linii napisów do schowka systemowego;
- Ulepszono przeszukiwanie do przodu wg napisów (pracuje tylko z napisami tekstowymi; więcej lub mniej ograniczone wsparcie dla innych typów napisów);

- AVI: w niektórych ścieżkach H264/HEVC/MPEG2 nie była wykazywana wartość fps;
- FLV: skorygowano obliczanie fps; dla wideo HEVC fps nie był prawidłowo ustawiony;
- MP4: naprawiono synchronizację A/V w niektórych plikach;
- DVD: nie zawsze działało przechodzenie w menu scen w niektórych DVD;
- Naprawiono, stwierdzone na kartach wideo Radeon, zawieszanie się odtwarzacza podczas odtwarzania wideo z przeplotem i wysokim fps (50/60), gdy wyłączona jest akceleracja DXVA;
- Napisy: naprawiono wyjście tekstowych napisów na VMR-7 RL;
- Naprawiono złe wyświetlanie linii napisów na zrzutach ekranu;
- Naprawiono błędne generowanie kodów czasowych dla funkcji Galeria miniatur.

## 4.8.6 | 16 listopad 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano język francuski (by #31#).
- Ustawienia -> Widok zewnętrzny: panel sterowania - *domyślnie ukryty*.
- Ustawienia -> Dźwięk: dodano możliwość określenia banku dźwięków dla MIDI.
- Dodano w nagłówku odtwarzacza menu kontekstowe dla przycisku Na wierzchu wszystkich okien.

- Ustawienia -> Dźwięk: zreorganizowano ustawienia.
- Ustawienia -> Wideo -> Różne : w funkcji Na wierzchu wszystkich okien zmieniono opcję wyboru Nigdy na Ręczne (przyciskiem).
- Lista odtwarzania: próba wyświetlania tagów tytułu dla linków internetowych, nawet jeśli opcje formatowania tytułu są wyłączone dla listy odtwarzania. Przydatne dla IPTV.
- Różne inne optymalizacje.

- Ustawienia -> Dźwięk: funkcja Wczytaj plik audio o tej samej nazwie nie przynosiła żądanego efektu.
- Lista odtwarzania: tytuły niektórych sieciowych list odtwarzania nie były właściwie obsługiwane.
- Lista odtwarzania: niektóre sieciowe listy odtwarzania sieci nie mogły być dodawane.
- Okno dialogowe orientowane na otwieranie mediów: nie pracowała nawigacja za pomocą klawisza Enter.
- W niektórych przypadkach splitter listy odtwarzania był niedostępny w trybie pełnoekranowym.
- Naprawiono wizualny błąd przycisku Na wierzchu wszystkich okien w przypadku ustawienia trybu Zawsze na wierzchu.
- Tryb Zawsze na wierzchu dla Na wierzchu wszystkich okien czasami nie działał poprawnie.
- Naprawiono problem z migotaniem obrazu wideo po wejściu/wyjściu myszki na Panel sterowania w trybie pełnoekranowym.
- Naprawiono zawieszanie się odtwarzacza podczas uruchamiania pliku z Eksploratora w trakcie odtwarzania innego pliku.
- Naprawiono opóźnienie rysowania klatki podczas przesuwania okna podglądu z włączeniem alternatywnego renderowania.
- Naprawiono inne drobne problemy.

#### Silnik wideo

- Dekoder wideo: wsparcie DXVA dla kart graficznych AMD z charakterystyką klatek takich jak - szerokość <= 2048 i wysokość <= 2304.
- WASAPI: przepisano i ulepszono mechanizm obsługi pakietów, czego rezultatem jest lepsza obsługa synchronizacji A/V w różnych sytuacjach (na przykład, dużego obciążenia procesora).
- WASAPI: dodano wsparcie dla sytuacji wyłączenia urządzenia wyjściowego dźwięku, a dźwięk zostanie przeniesiony do domyślnego urządzenia dźwiękowego (i odwrotnie, gdy ponownie jest włączone oryginalne urządzenie dźwiękowe).

- Zaktualizowano listę kart wideo obsługujących wideo 4K.
- Zaktualizowano biblioteki OpenSSL do wersji 1.0.1j
- Zaktualizowano kodeki.
- BASS: zaktualizowano wtyczki WMA i FLAC.
- MPEG: ulepszono przetwarzanie MPEG-PS; usprawnienia w określaniu rodzaju i usprawnienia w zapobieganiu fałszywym alarmom.
- WASAPI: optymalizacja regulacji głośności.
- WASAPI: optymalizacja Bitstream.

- AVI, OGG, MP4: nie było możliwe otworzenie niektórych plików.
- MIDI: naprawiono wyświetlanie aktualnej pozycji odtwarzania.
- WASAPI: naprawiono błąd występujący w przypadku danych o zerowej długości.
- Napisy: naprawiono problem z skalowaniem czcionki dla niektórych plików.
- Naprawiono zbyt wolne przewijanie w niektórych plikach FLV.
- Usunięto inne drobne błędy.

## 4.8.5 | 13 październik 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano język słowacki (by MaxStrix)

- Funkcja Powtórz plik nie działała prawidłowo.
- Funkcja Powtórz listę odtwarzania była uszkodzona.
- Rozszerzone okno dialogowe: był odwrócony kierunek strzałki.
- Ustawienia -> Widok zewnętrzny -> Obszar powiadomień: była uszkodzona funkcja Tylko obszar powiadomień.
- Poprawiono inne drobne problemy.

#### Silnik wideo

- Dodano obsługę TrueHD + Dolby Atmos.
- Dodano obsługę ATRAC3/ATRAC3plus w plikach WAV.
- Dodano obsługę AMR-WB.
- Dodano obsługę bardzo krótkich plików WavPack.
- MPEG: dodano obsługę MPEG-TS bez PES, a także rozszerzono obsługę niektórych plików nie kodowanych w standardzie.
- MPEG: dodano obsługę obliczania czasu trwania/przepływności za pomocą danych PCR (program clock reference).
- FLV: dodano obsługę H.264 w formacie AnnexB.

- MKV: naprawiono problemy z dźwiękiem strumieni TrueHD/MLP.
- MKV: niektóre pliki nie mogły być odtwarzane ze względu na duże zużycie pamięci.
- MPEG: naprawiono długie otwieranie niektórych plików.
- WASAPI: zanikał dźwięk podczas powrotu do normalnej prędkości odtwarzania.
- WASAPI: naprawiono problem z obsługą danych podczas kończenia odtwarzania.
- Napisy: naprawiono błąd ze stylami, jeśli napisy ze stylami były wbudowane w kontenerze.
- Poprawiono inne drobne problemy.

## 4.8.4.1 | 15 wrzesień 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Ustawienia -> Skojarzenia plików: nie było możliwe zamknięcie okna.
- Usunięto inne drobne błędy.

#### Silnik wideo

- OGG: ulepszono przewijanie w strumieniach wideo.

- MP3: odtwarzanie nie było możliwe.

## 4.8.4 | 13 wrzesień 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Nowa skórka: WebForm (autor: Pavlik)
- Informacje o pliku: dodano liczbę bajtów do rozmiaru pliku.
- Ustawienia -> Skojarzenia plików: dodano obsługę skojarzeń plików dla Windows 8 i nowszy.

- Teraz DXVA jest domyślnie wyłączone dla Windows XP.
- Zaktualizowano elementy wewnętrzne do najnowszych wersji.
- Ustawienia dźwięku -> Korektor: usunięto suwak wzmocnienia dźwięku.
- Usunięto Eksplorator napisów.
- Usunięto agenta WinLIRC.

- Naprawiono działanie funkcji Zmieniaj wartości rolką myszki, gdy kursor znajduje się nad osią czasu lub suwakiem głośności.
- Rozszerzona historia plików: naprawiono sytuacje, w których lista mogła być pusta.
- Funkcja Przewiń do miejsca ostatniego zatrzymania nie działała prawidłowo dla niektórych DVD.
- Naprawiono problem z automatycznym wyświetlaniem napisów dla niektórych DVD.
- Wprowadzono poprawki w ustawieniach aktualizacji.
- Poprawiono inne drobne błędy.

#### Silnik wideo

- Dekoder wideo: znacznie zoptymalizowano dekodowanie wideo HEVC.
- OGG: ulepszono przewijanie w strumieniach wideo.

- Dekoder DXVA: poprawiono przetwarzanie i wyświetlanie ostatnich klatek pod koniec odtwarzania.
- Zaktualizowano kodeki.

- MPEG: naprawiono wykrywanie ścieżek audio w niektórych MPEG-PS/MPEG-TS.

## 4.8.3 | 06 wrzesień 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano język czeski (autor Tobiczech)

- Lista odtwarzania -> Różne -> funkcja Pomiń plik - teraz pracuje dla każdego wybranego elementu listy odtwarzania, a nie tylko dla jednego.
- Lista odtwarzania -> funkcja Pokaż położenie pliku - teraz pracuje dla każdego wybranego elementu listy odtwarzania, a nie tylko dla jednego.
- Ustawienia -> OSD -> Napisy: Wyświetlanie: usunięto funkcję Zaokrąglaj do krotności 2.

#### Silnik wideo

- EVR CA: ulepszono aktualizację klatki podczas przewijania poklatkowego.

## 4.8.2 | 30 sierpień 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Zmniejszono szerokość separatora listy odtwarzania.
- Odtwarzacz po zakończeniu odtwarzania już nie "wyładowuje" wideo, jeśli ma dalej przejść do bezczynności.

#### Silnik wideo

- WASAPI: dodano możliwość, w przypadku używania ustawienia "Użyj wyjścia bitowego", nie pytania urządzenia o listę obsługiwanych trybów, a natychmiastowe próbowanie stworzenia trybu wyjściowego równego wejściowemu. Zostało to zrobione dlatego, gdyż istnieją urządzenia, które zwracają tylko część z obsługiwanych trybów.
- MPEG: ulepszono przeszukiwanie dla MPEG-TS + H.264.

- MKV: wczytywanie czcionek osadzonych w pliku, nawet jeśli nie ma napisów.
- MPEG: zoptymalizowano wczytywanie Blu-ray.
- Zoptymalizowano tworzenie zrzutów ekranu.
- Zaktualizowano kodeki.

## 4.8.1 | 22 sierpień 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano język japoński na stronie internetowej LA i do instalatora - autor: Tilt (tiltstr.seesaa.net/)
- Dodano Aktualizator, który będzie informował o dostępności nowej wersji wyskakującą informacją w Obszarze powiadomień. Funkcja jest domyślnie włączona.

- Opcja Odwróć odliczanie czasu odtwarzania została przeniesiona z Ustawienia -> Widok zewnętrzny -> Interfejs do Ustawienia -> Klawiatura.
- W liście odtwarzania wpisywana jest teraz nazwa folderu Blu-ray zamiast "index.bdmv".
- Teraz Light Alloy jest domyślnie widoczny w zasobniku systemowym.

#### Silnik wideo

- Napisy: dodano obsługę skalowania napisów PGS/DVB.

## 4.8.0 | 17 sierpień 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano obsługę sieciowych list odtwarzania, które przekazują dane segmentowo (wymagana obecność LAV Filters).
- Dodano nową skórkę: Ei8ht (autor: Gilorn)
- Dodano nową skórkę: WMP R.I.P. (autor: Ham).
- Lista odtwarzania: możliwość zaznaczenia wszystkich pozycji na liście za pomocą skrótu (domyślnie: Ctrl+A).
- Ustawienia -> Lista odtwarzania -> Różne: opcja Nie rozpoczynaj odtwarzania pliku po dwukrotnym kliknięciu na niego w Eksploratorze.
- Ustawienia -> Wideo -> Miniatury: opcja Nie pokazuj okna dialogowego z ustawieniami miniatur.
- Menu kontekstowe -> Lista odtwarzania -> Różne: funkcja Pomiń ten plik.
- Menu kontekstowe -> Dźwięk: Teraz można wybrać urządzenie audio.
- Aktualizacje w systemie skórki:

1. możliwość wyrównania elementów do środka (szczególnie dobrze nadaje się do pływających paneli);
2. teraz parametr musi zawierać następujące atrybuty: minSize="x,y" i type="standart|audio|fullscreen";
3. dodano wsparcie bitowej przezroczystości dla suwaków głośności i osi czasu;
4. usunięto ograniczenie szerokości suwaków głośności i osi czasu (ostrożnie z szerokością większą niż 24 piksele);
5. dodano nowy przycisk z blokadą Normalne/odwrócone odliczanie czasu odtwarzania (link="Position.Switch");
6. kontrolki typu "linia tekstowa" i "graficzna linia tekstowa" mogą teraz mieć atrybut link="", co zezwala na wypełnianie przez nie funkcji po wciśnięciu LPM;
7. teraz przełączanie normalnego/odwróconego odliczania czasu trwania wykonywane jest za pomocą kliknięcia lewym przyciskiem myszki, a nie prawym;
8. teraz do przełączania normalnego/odwróconego odliczania czasu trwania czcionka powinna zawierać "-" zamiast "<", a także atrybut link="Position.Switch";
9. dodano wsparcie przezroczystości bitowej dla wycięć na osi czasu;
10. dodano nowe polecenia linku: PList.Manager (menedżer list), Subtitles.Switch2 (przełączenie drugich napisów), Subtitles.SizeUp (zwiększenie rozmiaru napisów), Subtitles.SizeDown (zmniejszenie rozmiaru napisów);
11. dodano możliwość zmiany pozycji Y cyfr i znaczników na osi czasu (atrybuty digits_ypos i ticks_ypos dla );
12. dodano niezależne znaczniki zakładek na osi czasu (atrybut chapter) i możliwość pokazywania pozycji (atrybut chapter_pos="x,y").
13. dodano możliwość określenia punktu rozciągania obramowania (atrybuty bgsplit_lt="x,y" i bgsplit_rb="x,y")

- Teraz w miejsce *index.bdmv* będzie wyświetlana nazwa folderu, z którego zostało uruchomione Blu-ray.
- Przerysowano główną ikonę odtwarzacza i ikonę w zasobniku, dodano więcej uprawnień.
- Usunięto obsługę Vimeo.
- Usunięto ze skórek standardowych iBloko, SlimStripe i AudioAmp. Można je zawsze pobrać na forum.

#### Silnik wideo

- Dodano wsparcie dla odtwarzania MIDI. (uwaga: aby był dźwięk, w Windows\System32 powinien znajdować się bank dźwięków z nazwą 28MBGM.SF2, przy czym sam bank dźwięków może być dowolny, najważniejsze, żeby miał taką nazwę)
- Wbudowano obsługę WavPack.
- Wbudowano obsługę OPUS.
- Dekoder wideo: wsparcie dla odtwarzania sekwencji wideo H.264 z zaburzeniami w klatkach B.
- Dekoder wideo: uaktualniono listę obsługiwanych kart graficznych VP5/VP6 (nVidia), dodano niedawno wydane karty graficzne.
- Dekoder wideo: ulepszono mechanizmy ustalania złej kolejności B-Frames.
- MKV: obsługa tagów CueDuration i CueRelativePosition do odczytywania napisów podczas przewijania.
- MKV: poprawiono kompatybilność z Lentoid HEVC Decoder.
- MPEG: obsługa plików strumieniowych (pobieranych w danej chwili), pliki te będą aktualizowane poprzez pobieranie nowych danych w miarę trwania bez konieczności ponownego uruchamiania odtwarzacza.
- MPEG: możliwość przełączania programów w MPEG-TS.
- MPEG: ulepszono obsługę niektórych strumieni AAC.
- AVI: dodano wsparcie strumieni H.264 z FourCC "AVC1" i "h264".
- FLAC: wsparcie tagów ID3 v2 (tylko dla obrazów).
- MP4: wsparcie dla plików dash.
- MP4: wsparcie opóźnienia A/V zdefiniowanego wewnątrz kontenera.
- MP4: wsparcie HEVC wideo utworzonych za pomocą enkodera ffmpeg.
- MP3: dodano obsługę wielowarstwowych .MP3 (w których zapisane są dane z różnymi parametrami, aktualnie np. dla transmisji online).
- MP3: ulepszono wyszukiwanie nagłówka (pozwala na odtwarzanie plików zawierających śmieci/nieprawidłowe dane na początku pliku)
- Dodano obsługę 12 kanałowego audio o nieokreślonej lokalizacji kanałów.
- Napisy: poprawiono przetwarzanie napisów, wprowadzono wiele optymalizacji i przyspieszono wczytywanie/renderowanie napisów.
- Napisy: obsługa animowanych napisów VobSub.

- MP4: optymalizacja wczytywania plików.
- Dekoder audio: dla użytkowników Windows XP zrobiono niedostępną opcję Bitstream.
- WASAPI: poprawki w weryfikacji obsługi różnych formatów.
- Napisy: optymalizacja odczytu/pozycjonowania/obsługi plików tekstowych.
- Aktualizacja kodeków.

## 4.7.8 | 29 marzec 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano język turecki (by Yılmaz ER)
- Dodano język koreański (by 권 병호, khkpx@naver.com)
- Dodano wariant audio skórki Sky.
- Podpowiedź dla aktualnego poziomu głośności po najechaniu myszką na regulatorze głośności.
- Ustawienia -> Zdarzenia: opcja "Wstrzymaj odtwarzania po utracie skupienia na odtwarzaczu, kontynuuj po aktywacji" (działa tylko w trybie wideo).
- Ustawienia -> Klawiatura: dodano możliwość wyszukiwania.

- Dodatkowe menu kontekstowe: przeniesiono podmenu filtrów do sekcji *Odtwarzanie* z sekcji *Wideo*.
- Przeprojektowano zachowanie "przewiń na miejsce ostatniego zatrzymania" aktywowane skrótem klawiszowym L :

1. Gdy plik nie jest odtwarzany, to po wciśnięciu L rozpoczyna się odtwarzanie ostatnio odtwarzanego, jeśli lista jest zamknięta, - albo taki, na którym znajduje się kursor, jeśli lista jest otwarta. A następnie przechodzi do ostatniego miejsca zatrzymania.
2. Jeśli plik został odtworzony, to nie zostanie uruchomiony ponownie, tylko nastąpi przejście na ostatnio wstrzymany.

#### Silnik wideo

- Dekoder wideo: poprawiono i ulepszono wsparcie DXVA, naprawiono problem z drgającym wideo, usunięto desynchronizację A/V, artefakty, itp.
- Dekoder wideo: wsparcie QuickTime 8BPS, rpza, VP7.
- Dekoder wideo: wsparcie dekodowania z DXVA wideo 4K dla nowych kart wideo nVidia z VP5.
- Znacząco przeprojektowano procedury obsługi napisów. Teraz skomplikowane napisy wyświetlane są bez dużych spadków wydajności.
- WASAPI Audio Renderer: zaimplementowano mechanizm synchronizacji A/V.
- Wbudowano wsparcie Wave64.
- Wbudowano wsparcie TTA.
- MKV: wsparcie Apple ProRes.
- MKV: wsparcie MJPEG.
- MKV: wsparcie Microsoft MPEG4 v3.
- MKV: wsparcie dla niektórych, rzadkich nieskompresowanych wideo.
- MP4: wsparcie Vorbis.

- MPEG: rozszerzono współpracę z napisami MEDIASUBTYPE_DVD_SUBPICTURE/MEDIASUBTYPE_VOBSUB. Zoptymalizowano paletę odczytu z plików .IFO.
- Dekoder wideo: wideo VP9 jest teraz dekodowane za pomocą ffmpeg.
- MPEG: zmieniono mechanizm przetwarzania AC3/AAC, zoptymalizowano szybkość, naprawiono wiele innych błędów.
- Zaktualizowano składniki BASS do najnowszych wersji.
- Zaktualizowano kodeki, komponenty systemowe do najnowszych wersji.

## 4.7.7 | 17 styczeń 2014

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano tłumaczenie programu na język węgierski (by Phoenix, phoenix@hotmail.hu).
- Zwiększono jakość wyświetlania okładek zewnętrznych.
- Menu kontekstowe -> Napisy: dodano możliwość wyboru drugich napisów.
- Ustawienia specjalne: dodano InitWidth(A)/InitHeight(A)/MinWidth/MinHeight(A)
- Dodano w Ustawienia -> Skojarzenia plików funkcję Dodaj elementy Light Alloy do menu kontekstowego Eksploratora Windows.
- Ustawienia obrazu: dodano nowy shader - sharpen flou.

- Ustawienia->Kodeki: reorganizacja listy kodeków wideo.

#### Silnik wideo

- WMV: dodano wsparcie SIPR WAVE.
- Dekoder audio: dodano wsparcie dla VoxWare.
- Dodano wsparcie dla wyjścia głośnikowego 5.0.
- Dodano wsparcie APE.
- Dodano wsparcie WAV.
- Napisy i generator wideo: dodano wsparcie NV12.

- Aktualizacja napisów, gdy film jest wstrzymany - poręczne do dostosowania opóźnienia napisów (tylko dla VMR-9 RL/EVR CA/EVR SYNC)
- Dekoder wideo: przeprowadzono optymalizację.
- MPEG: przepisano i ulepszono procedurę przeszukiwania plików, które teraz powinny być szybciej przewijane.
- Zaktualizowano kodeki i komponenty systemowe.

## 4.7.6 | 22 grudzień 2013

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Kliknięcie PPM na suwaku głośności umożliwia na włączenie/wyłączenie rozszerzonej regulacji głośności.
- Dodano numerację w menu kontekstowym, gdzie wymieniono wszystkie listy.

- Kliknięcie PPM na obszarze czasu odtwarzania filmu zmienia go z "minęło" na "pozostało" (wcześniej dla tej zmiany używany był LPM).

#### Silnik wideo

- AVI: dodano wsparcie dla plików YUV.
- MP4: dodano wsparcie dla rzadkich formatów (takich jak DVOO, 2Vuy, yuvs...)

- Zaktualizowano kodeki, moduł mediainfo, komponenty systemowe.
- MPEG: optymalizacja kodu.

## 4.7.5 | 16 grudzień 2013

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Ustawienia -> Myszka -> Podgląd: dodano funkcję wg klatek kluczowych.
- Dodano nowy typ regulacji głośności.
- Dodano nowe algorytmy normalizacji (kompresja i niwelacja).
- Radio: dodano wsparcie dla linków https://.
- Dodano wsparcie dla różnych list odtwarzania (menu listy odtwarzania -> Menedżer list odtwarzania).
- Dodano parametry do Wiersza poleceń: /AudioMode i /VideoMode, jeśli któraś z nich zostanie ustawiona, odtwarzacz zostanie wczytany w odpowiednim trybie wizualnym, niezależnie od trybu, w którym odtwarzacz został zamknięty.
- Ustawienia -> Interfejs -> Wygląd: dodano Ustawienia formatowania tytułu (tagi).
- Ustawienia -> Dźwięk: dodano możliwość otwierania preferencji zewnętrznych rendererów (wcześniej można było korzystać tylko z WASAPI Renderer).
- Ustawienia -> Dźwięk: dodano kilka nowych funkcji.
- Ustawienia -> OSD -> Linia informacyjna: dodano obsługę tagów {IFHASVIDEO} .. {/IFHASVIDEO} i {IFHASAUDIO} .. {/IFHASAUDIO} - pozwala uniknąć na wyjściu "x@ (/)", jeśli brak ścieżki wideo.
- Skórka audio: dodano przycisk Internetowe stacje radiowe.

- Menedżer List odtwarzania: dodano dwa nowe przyciski i wprowadzono kilka poprawek.
- Informacje o pliku: dodano możliwość zapisu okładki w rozdzielczości źródłowej.
- Lista odtwarzania: przetworzono zapisywanie i wczytywanie listy. Teraz "LA.lap" nie jest głównym plikiem listy odtwarzania, a lista odtwarzania zostanie wczytana z tego miejsca, gdzie została zapisana i z nazwą użytkownika. Jeśli nie została zapisana, to zostanie wczytana z domyślnej lokalizacji.
- Lista odtwarzania: jeśli pliki znajdują się na tym samym poziomie co listy odtwarzania, lub poniżej, to zapisywane są teraz ze ścieżkami względnymi, a nie bezwzględnymi.

#### Silnik wideo

- Dodano wsparcie dla wyświetlania obciążenia GPU w technicznym OSD (klawisz: Q) dla kart ATI.
- Dekoder MPEG/DVD: dodano obsługę formatu wyjściowego NV12.
- Dekoder wideo: dodano obsługę wyjścia 10 i 16-bitowego (wymagany madVR) oraz różne ulepszenia i optymalizacje.
- Dekoder wideo: dodano obsługę dekodowania WMV 9.1 Image, WMP 9.1 Image V2 (WMVP, WVP2), FFV1, HuffYUV, Avid DNxHD i QT v410.
- MP4: dodano wsparcie DNxHD i FFV1.
- RAW: dodano wsparcie dla plików I420, Y800, 4:1:1 y4m, Y41B/Y42B, 444P oraz inne ulepszenia.

- Dekoder wideo: wprowadzono kilka optymalizacji (zwłaszcza dla plików wideo z 9-16 bitową głębią kolorów).
- Zaktualizowano kodeki i moduły systemowe do najnowszych wersji.
- Przeprojektowano OSD w celu utrzymania wysokiej jakości przezroczystości i powiększania tekstu.
- Przeprojektowano algorytm przyspieszenia i wysokości sygnału dla audio.

## 4.7.4 | 20 listopad 2013

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano oficjalną skórkę audio dla Light Alloy.
- Dodano pomoc dla Light Alloy w języku japońskim (by Tilt)
- Dodano polecenie przycisk-polecenie "Player.RadioRecord" dla skórki audio.
- Funkcja automatycznego pomijania obsługuje teraz tryb odwrócony - 'obszar oglądany' (uzupełniający 'obszary pomijane').
- Dodano podświetlanie aktualnego kąta wideo w menu kontekstowym.
- Dodano w Ustawienia -> Myszka: funkcję Suwaki regulacyjne.
- Duża aktualizacja w rosyjskim, ukraińskim i polskim pliku pomocy.
- Wyskakujące menu -> Odtwarzanie: dodano Drzewko filtrów.

- Ustawienia -> Wideo: możliwość przycinania i dziesiątkowania dla VMR7-RL oraz związane z tym zmiany dla innych generatorów.
- Optymalizacja odczytu/zapisu w module XML. Odtwarzacz powinien być teraz nieco bardziej elastyczny.
- Rozszerzone okno dialogowe otwierania plików: zaktualizowano ShellBrowser do 8.1.2
- Wyświetlanie OSD podczas przełączania kątów wideo.
- Możliwość zmiany skórki audio bez restartu odtwarzacza.
- Domyślnie synchronizacja jest wyłączona dla generatorów.
- VMR-7 WL teraz jest używane jako domyślne renderowanie dla WinXP.
- Ustawienia -> Wideo: ponownie wprowadzono warunki, gdy będzie dostępna jedna lub innej opcji po wybraniu jednego lub drugiego renderera.
- Kompletnie przepisany algorytm wyszukiwania i wczytywania podobnych plików.
- Zaktualizowano niektóre z wbudowanych skórek.
- LA Dub: usunięto Drzewko filtrów i Informacje o pliku z Panelu sterowania LA (zawsze można połączyć te funkcje za pomocą skrótów lub można je odnaleźć w menu kontekstowym odtwarzacza).
- Ustawienia -> Myszka: funkcja Suwaków regulacyjnych -- poprawki i dostosowania.

#### Silnik wideo

- Dodano możliwość wczytania zewnętrznego audio dla DVD (tylko wtedy, gdy przełącznik audio jest wyłączony).
- Dekoder wideo: dodano wsparcie dla VP9.
- Dekoder wideo: dodano eksperymentalne wsparcie dla HEVC/H.265 (na razie bez wsparcia DXVA)
- Dekoder wideo: dodano wsparcie dekodowania CRAM (Microsoft Video 1) i AIC (Apple Intermediate Codec).
- MKV: dodano wsparcie dla VP9.
- MKV: dodano wsparcie dla HEVC/H.265.
- MPEG: dodano wsparcie dla HEVC/H.265
- MPEG: dodano wsparcie dla AC3 w plikach wideo .SFD (MPEG-PS)
- MPEG: dodano wsparcie dla programowego mapowania strumieni w plikach MPEG-PS.
- AVI: dodano wsparcie dla DV-video z identyfikatorem CDVC.
- RAW: dodano wsparcie dla strumieni HEVC.
- MP4: dodano wsparcie dla HEVC/H.265.
- FLV: dodano wsparcie dla HEVC/H.265.
- MP4: dodano wsparcie dla AIC.
- Wsparcie odtwarzania strumieni RAW video (MPEG-1/2, H.264, VC-1).

- MPEG: poprawiono przeszukiwanie Blu-ray.
- Zaktualizowano kodeki, moduły systemowe do ich najnowszych wersji.
- MPEG: zoptymalizowano wczytywanie plików.
- MPEG: wprowadzono kilka ulepszeń w tabeli PMT dla obsługi MPEG-TS, m.in. zmniejszono czas wczytywania pliku.
- Ustawiono usuwanie przeplotu dla VMR-renderers.
- Dekoder wideo: kilka zmiana w oknie dialogowym Opcji.

## 4.7.3 | 13 wrzesień 2013

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Nowa skórka: Narrow (autor - Gilorn).
- Rozdziały CUE teraz obsługiwane są w dodatkowych funkcjach odtwarzacza (menu, następny / poprzedni rozdział, menu kontekstowe osi czasu).
- Dodano wsparcie dla Unicode w Lista odtwarzania -> Przejdź do pliku.
- Ustawienia -> Wygląd -> Interfejs: opcja Pokaż okładki z pliku audio.
- Ustawienia -> Dźwięk: możliwość otwierania w WASAPI Audio Renderer.
- Skórka systemowa: możliwość ustawienia rozmiaru obramowania.

- Zaktualizowano pliki pomocy.
- Zmodyfikowano kilka modułów odtwarzacza.

#### Silnik wideo

- Dodano wsparcie do odtwarzania plików TAK.
- UDP Reader został kompletnie przepisany. Teraz również obsługuje protokół HTTP i proxy.
- W DTSAC3 dodano częściowe wsparcie dla .dtshd
- AVI: rozszerzono wsparcie w AVC1/H.264.

- Zaktualizowano listę obsługiwanych kart graficznych VP5 dla wideo 4K.
- MPEG: zoptymalizowano przypadki użycia, np. w IPTV lub bez strumienia wideo (np. radio).
- MPEG: zoptymalizowano otwieranie Blu-ray.
- MPEG: wzmocniono i zoptymalizowano wyszukiwanie dla strumieni AAC/AAC LATM/MPEG Audio.
- MPEG Audio: nagłówek nie jest teraz głębiej sprawdzany, niż 5 MB.
- OGG: mechanizm przeszukiwania został całkowicie przepisany, teraz przeszukiwanie plików powinno być dużo szybsze, zwłaszcza z Theora-video.
- Ulepszono parsowanie tagów w APE.
- Zaktualizowano komponenty systemowe (moduł mediainfo, kodeki, ...)

## 4.7.2 | 18 sierpień 2013

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Dodano Pomoc w języku holenderskim (autor TDJ).
- Dodano w PK69.icl ikony o rozmiarach 96px i 256px.
- Dodano możliwość przełączania drugich napisów za pomocą skrótu klawiszowego.
- Dodano w Ustawienia -> System możliwość korzystania z ustawień specjalnych.
- Dodano w Ustawienia -> OSD -> Napisy funkcję Preferuj XySubFilter dla MadVR
- Dodano w Ustawienia -> OSD -> Napisy funkcję Wczytaj czcionki osadzone w plikach MKV.
- Dodano w Ustawienia -> Lista odtwarzania funkcję Odczytuj sygnaturę pliku do wyświetlania czasu trwania.
- Dodano w Ustawienia -> Lista odtwarzania funkcję Podczas dodawania plików do Listy odtwarzania, sortuj je wg...
- Dodano wsparcie nadpisywania plików językowych (*.txt.override) bez konieczności edycji domyślnego pliku językowego (np. jeśli tłumaczenia niektórych linii nie spełniają swoich funkcji). Wystarczy utworzyć w folderze Langs plik o nazwie polish.txt.override. Wystarczy dodać w tym pliku zmienioną wersję linii, np. "Command.050=Otwórz plik", bez cudzysłowów, (dodać ją jako, powiedzmy "Command.050=Otwórz wideo"), zapisać plik, zrestartować odtwarzacz i sprawdzić efekt.
- Dodano do menu kontekstowego w Lista odtwarzania -> Różne funkcję Pokazuj podpowiedzi dla elementów Listy odtwarzania.
- Dodano w M3U wsparcie dla słowa kluczowego "CUE".

- Zwiększono szerokość w menu ustawień i niektórych innych formatek (usuwanie pliku, wstępna konfiguracja, ... - nie we wszystkich językach mieściły się nazwy funkcji).
- Funkcja Wyczyść Listę odtwarzania teraz działa szybciej.
- Zaktualizowano pliki pomocy: angielskiej, polskiej rosyjskiej, ukraińskiej.
- Usuwanie rozszerzenia z nazwy folderu (które pochodzi od nazwy pliku) podczas tworzenia zrzutu ekranowego.
- Zostały zmienione niektóre domyślne skróty klawiszowe.
- Minimalizacja/Maksymalizacja odtwarzacza: naprawiono przywracanie stanu szybkości odtwarzania.
- Naprawiono niektóre problemy z obsługą Unicode.
- Naprawiono w Drzewku filtrów wykazywanie (czasami) fałszywego dekodera audio, gdy w rzeczywistości był to zupełnie inny filtr.
- Teraz w Ustawieniach dźwięku można zmieniać "Balans głośności" i "Wzmocnienie dźwięku" za pomocą klawiszy strzałek (w lewo/w dół - obniżenie, w prawo/w górę - zwiększenie), wcześniej ten porządek był odwrócony.
- W "Podglądzie" naprawiono błąd, podczas którego odtwarzanie było resetowane z powrotem do początku, jeśli Podgląd był wywoływany za pomocą ŚPM.
- Naprawiono w menu kontekstowym: Lista odtwarzania->Pokaż położenie pliku nie działa, jeżeli nazwa pliku zawiera spacje.
- Naprawiono zawieszanie się odtwarzacza występujące w pewnych okolicznościach.
- Lista odtwarzania: naprawiono nie działającą rolkę myszki w trybie folderów.
- ... i kilka innych poprawek i zmian.

#### Silnik wideo

- Dodano wsparcie dla XySubFilter.
- Dodano wsparcie dla DmitriRender (http://www.dmitrirender.ru, - aktywowany po instalacji w Ustawienia->Kodeki).
- UDP Reader dla IPTV (dla udp multicast).
- Dekoder wideo: wsparcie dekodowania wideo MJ2C.
- Dekoder wideo: wsparcie wideo 4K, dla niektórych kart wideo z rodziny GeForce 5xx/6xx/7xx i niektórych kart wideo Intel z rodziny IvyBridge/Haswell.
- Dekoder audio, WASAPI Audio Renderer: wsparcie buforowania danych. Eliminuje to zakłócenia/kliknięcia podczas odtwarzania, ze względu na wpływ efektów innych programów na procesor/dysk twardy.
- MKV: ulepszono przewijanie dla plików, w których klatki kluczowe występują bardzo rzadko.
- FLV: dodano wsparcie klatek kluczowych. W tym przypadku daje to znaczne zwiększenie szybkości.
- OGG: ulepszono wsparcie strumieni sieciowych.
- WavPack: wsparcie iso.wv
- Napisy: dodano wsparcie drugich napisów dla DVB/HDMV/Sup/XSub.

- Dekoder MPEG-2: przetwarzanie napisów tylko podczas oglądania DVD, w przeciwnym razie, należy używać standardowych narzędzi.
- WASAPI Audio Renderer: poprawić zachowanie podczas przewijania.
- WavPack: usunięto wsparcie strumieniowania.
- Zaktualizowano kodeki, moduł informacji o mediach, komponenty systemowe.
- Wprowadzono kilka poprawek we wsparciu Blu-ray.
- Naprawiono zamrażanie podczas tworzenia galerii miniatur.
- Naprawiono kilka problemów z rysowaniem podczas tworzenia galerii miniatur.
- Dekoder wideo: naprawiono pewne problemy z dekodowaniem H264 w trybie DXVA.
- Dekoder wideo: naprawiono błąd z MPEG2 DXVA występujący w pewnych okolicznościach.
- Dekoder wideo: Naprawiono problem występujący podczas przeszukiwania z VC-1 + Matroska.
- Dekoder wideo: naprawiono błąd z MPEG-1/2 nie działającym w trybie oprogramowania.
- WASAPI Audio Renderer: naprawiono problem z zaszumieniem dźwięku występujący podczas zmiany strumienia.
- WASAPI Audio Renderer: naprawiono błąd, gdy karta dźwiękowa nie obsługuje jednego lub inny formatu / trybu.
- WASAPI Audio Renderer: naprawiono błąd występujący w trybie współdzielenia.
- AVI: naprawiono problem ze strumieniami H264.
- MP4: poprawiono wyświetlanie niektórych nie angielskich rozdziałów.
- MP4: niektóre rozdziały były przechwytywane jak napisy.
- MPEG: naprawiono chwile bez dźwięku podczas przełączania HDMV LPCM do HDMV LPCM, ale z różnymi parametrami.
- MPEG: naprawiono niezdolność do otwierania / przeszukiwania i odtwarzania strumieni online, w których nie jest przedstawiany znaczniki czasu. Takie strumienie można zobaczyć na TV/IPTV.
- WavPack: nie można było odtwarzać niektórych plików.
- WavPack: naprawiono problem z pauzą na początku odtwarzania.
- WavPack: naprawiono problem z brakiem dźwięku po odtwarzaj-zatrzymaj-odtwarzaj.
- WavPack: naprawiono pomijanie danych po otworzeniu pliku.
- Napisy: naprawiono pewne problemy podczas otwierania napisów UTF-8.
- Napisy: HDMV/PGS - naprawiono odczyt i zapis palety, gdyż napisy czasem były wyświetlane nieprawidłowo.
- Napisy: naprawiono zamrażanie podczas otwierania napisów USF.
- Napisy: naprawiono błąd występujący we wbudowanym VobSub, podczas którego napisy nie były wyświetlane.
- Napisy: podczas ustawiania napisów ssa/ass jako drugich napisów tracony był ich styl, jeśli były osadzone w mkv/mp4.
- Napisy: naprawiono nie działającą pozycję napisów w odniesieniu do klatki wideo przy WL-renderers (VMR-7 WL, VMR-9 WL, EVR).
- Napisy: drugie napisy były nieprawidłowo odzwierciedlane w stosunku do pierwszych napisów.
- Napisy: zmiana stylu była niemożliwa przy WL-renderers.
- Napisy: drugie napisy były zawsze wyświetlane poniżej przy WL-renderers.
- Napisy: przełączanie strumieni nie działa poprawnie, gdy zastosowano LAV Splitter.
- ... i kilka innych poprawek i zmian.

## 4.7.1 | 24 czerwiec 2013

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Wsparcie dla jednoczesnego wyświetlania dwóch napisów.
- Ustawienia napisów: dodano opcje *Zezwalaj na nakładanie się napisów* i *Wyrównaj tekst do lewej*.
- Włoski plik językowy (autor Marco Brocco)
- Dodano ukraińskie tłumaczenie pomocy.
- Dodano parametr wiersza poleceń /onradio - po uruchomieniu odtwarzacza natychmiast włączane jest radio.
- Ustawienia obrazu: filtry przetwarzania końcowego (shadery).
- Ustawienia obrazu: opcja *Odwróć w pionie*.
- Informacje o pliku: wyświetlanie zaszytej w pliku audio okładki (wspierane formaty obrazków: png, jpg, bmp)
- Wciskając Ctrl+Shift+U można aktywować tryb monitorowania schowka na obecność linków (np. dla YouTube).
- Ctrl+Shift+L - nie należy zmieniać skrótu klawiszowego dla ponownego wczytania plików językowych (może być przydatne dla tłumaczy).
- Ustawienia->Wygląd: możliwość dostosowania niektórych elementów z menu kontekstowego.
- Ustawienia->Zdarzenia: "Odtwarzaj następny plik z Listy" teraz jest jako pole wyboru.
- Ustawienia->Wideo->Zrzuty ekranu: nowe opcje *Używaj tytułu z tagów zamiast nazwy pliku* i *Pokaż napisy*.
- Ustawienia->DVD: opcja *Odtwarzaj automatycznie po wykryciu płyty*.
- Dodano możliwość uruchamiania odtwarzacza za pomocą dowolnego pliku konfiguracyjnego. Do tego konieczne jest przekazanie odpowiedniego parametru w wierszu poleceń (jakakolwiek nazwa pliku z rozszerzeniem .xml). Domyślnie można to zrobić bez wskazywania ścieżki (z katalogu z LA.exe), ale można również ze wskazaniem pełniej ścieżki, np. z drugiego dysku.

- Ulepszono wyszukiwanie podobnych, jeśli następny plik już istnieje gdzieś na liście.
- Kolor poziomu naładowania baterii można teraz zmieniać w LA.xml (LowLevel i HighLevel)

#### Silnik wideo

- Wsparcie dekodowania G2M wideo (GoToMeeting).
- AVI: wsparcie MPEG-1.
- AVI: wsparcie Matrox MPEG-2.
- MKV: dodano wsparcie Opus.
- MKV: dodano wsparcie ALAC.
- MPEG: dodano opcję włączania/wyłączania tworzenia na wyjściu *pustych* napisów.
- MPEG: wsparcie TrueHD.
- MPEG: wsparcie Blu-Ray z Seamless Branching (wycinkowo).
- OGG: poprawiono wsparcie i przewijanie plików wideo Theora.
- MPC: wsparcie dla plików audio z nagłówkiem ID3 na początku.
- Dekoder audio: wsparcie strumieniowego DTS-HD, E-AC3 i TrueHD za pomocą HDMI.
- Wasapi Audio Renderer: całkowicie przeprojektowany.
- Dekoder wideo: dekodowanie VC1-I w trybie bez DXVA.
- Dekoder wideo: dekodowanie MPEG-1/2 w trybie bez DXVA.
- Dekoder wideo: wsparcie dla kodeka wideo v210.
- Dekoder wideo: wsparcie dla kodeka wideo VMware Video.
- Dekoder wideo: teraz wbudowany dekoder wideo pozwala na przełączanie w locie z jednego typu wideo na drugi, łącznie z trybem DXVA. Tak więc - jeśli niżej stojący filtr nie wypełnia, lub wypełnia nieprawidłowo, dane o FPS, to staramy się uzyskać te informacje ze strumienia wideo i przekazać do generatora.
- Dekoder wideo: opcja read AR from stream - dodano trzeci stan, przy którym ustawiany jest AR ze strumienia, ale tylko wtedy, jeśli nie jest on ustawiony w kontenerze (jak w LAV). Oferowana jest domyślnie. Tak więc teraz zmiana tej opcji jest używana w locie.
- Dekoder wideo: usprawniono wsparcie dla plików wideo H.264 Interlaced.
- Generatory EVR/VMR: przeprojektowano wyjście statystyk, które teraz są skalowalne.

- Ulepszono wsparcie dla plików WTV.
- Ulepszono przetwarzanie plików multimedialnych z krzywymi pakietami PTS.
- Dekoder audio: ulepszenia w mikserze audio.
- AVI: ulepszono odtwarzanie plików AVI z błędnym przeplotem.
- AVI: zmniejszono zużycie pamięci.
- AVI: zmieniono mechanizm przebudowy indeksów, w przypadku ich braku.
- AVI: ulepszono wyświetlanie napisów DivX.
- MPEG: ulepszono wyszukiwanie ścieżek w obrębie strumienia MPEG.
- MPEG: pomijanie uszkodzonych pakietów pozwala uniknąć błędnego wyświetlania uszkodzonych plików.
- MP4/MOV: ulepszono wsparcie dla Apple MPEG2.
- MKV: przeprojektowano mechanizm obliczania czasu trwania klatki, w przypadku jego braku w nagłówku - rozwiązuje problemy z odtwarzaniem WebM, poprawia obsługę plików uszkodzonych/niedokończonych/przyciętych.
- DTSAC3: przebudowany parser plików WAV.
- Dekoder wideo: zmieniono "Output formats", teraz pracuje również dla generatorów VMR.
- Ulepszono definiowanie trybu DXVA-2 (np. podczas używania dekoderów ArcSoft/CyberLink).
- Przebudowano normalizację dźwięku przy aktywnym procesorze dźwięku.
- Klika ulepszeń we wsparciu dla MadVR.

## 4.7.0 | 19 luty 2013

Kliknij, aby pokazać / ukryć zawartość

#### Odtwarzacz

- Rosyjska Pomoc dla odtwarzacza autorstwa Gilorn'a (dostepna w oknie O programie, klawisz F1).
- Tłumaczenie rosyjskiej Pomocy dla odtwarzacza na język polski autorstwa Adama Malich.
- Dodano japoński plik językowy autorstwa Tilt.
- Dodano niemiecki plik językowy autorstwa Axel05.
- Dodano chiński plik językowy autorstwa lizw9382.
- Dodano rumuński plik językowy autorstwa marcelush.
- Możliwość oglądania filmów online z YouTube bezpośrednio w odtwarzaczu (Ctrl+U dla wywołania okna dialogowego *Otwórz URL*).
- Możliwość oglądania filmów online z Vimeo bezpośrednio w odtwarzaczu. Preferowaną jakość można ustawić w Ustawienia->Wideo->Różne.
- Alternatywny tryb Listy odtwarzania - Tryb folderów, aktywowanie klawiszem "F11" lub po kliknięciu PPM na przycisku "Lista odtwarzania" w Panelu sterowania.
- Dodano Katalog internetowych stacji radiowych. Dostępne w menu kontekstowym->Otwórz lub za pomocą skrótu klawiszowego Shift+H. Również tam, każdy przycisk ma swoje dodatkowe funkcjonalności w menu kontekstowym wywoływanym PPM.
- Dodano rozszerzoną historię ostatnio oglądanych plików (PPM na przycisku *Odtwarzaj / Pauza* lub Shift+H).
- Obsługa trackera muzyki (XM, IT, S3M, MOD, ...).
- Wyskakujące menu: Otwórz URL.
- Wyskakujące menu: Otwórz DVD bez menu.
- Możliwość wykonywania zrzutów ekranu w formatach WebP/WebP-LL.
- Ustawienia->Myszka->Obszary wideo: dodano nowe funkcje do narożnych regionów (lewy-górny / prawy-górny) - napisy, dźwięk wł/wył., następny/poprzedni z Listy odtwarzania.
- Ustawienia->Lista odtwarzania: grupa funkcji *sprawdź dostępność plików*.
- Ustawienia->Dźwięk: możliwość konfiguracji wyjścia dźwięku.
- Ustawienia->Dźwięk: zakładka *Radio*.
- Ustawienia->Wideo: zakładka *Zrzuty ekranu*.
- Ustawienia->Klawiatura: dodano nowe polecenia klawiatury - *Rozmiar Listy odtwarzania*, *Rozmiar paneli folderów* i *Zmień nazwę pliku lub zakładki*.
- Ustawienia->Klawiatura->Alternatywne: możliwość korzystania z alternatywnych skrótów klawiszowych na laptopach bez właściwej klawiatury numerycznej. Wywołanie trybu za pomocą Shift+górne cyfry, a znaczenia za pomocą górnych cyfr.
- Nowe opcje dla funkcji auto wyszukiwania/pomijania.
- Przycisk *Szybkość odtwarzania*: dodano opcję 16x.
- W podręcznym menu przycisku Listy odtwarzania *Usuwanie plików* dodano nową pozycję "Czyść Listę odtwarzania z uszkodzonych/niedostępnych plików".
- Ustawienia dźwięku: możliwość zapisywania/wczytywania ustawień Korektora do/z profilowych plików użytkownika.
- Możliwość zmiany nazwy pliku/zakładki w Liście odtwarzania.
- Podczas otwierania strumienia sieciowego będzie teraz widoczny stan buforowania.
- Ustawienia->Myszka->Obszary wideo: w sekcji *U dołu*, jeśli użyjesz normalnego schematu wyszukiwania, to przy wciśniętym klawiszu "Shift" można tymczasowo aktywować przeszukiwanie wg klatki i na odwrót.
- Ustawienia->Myszka->Obszary wideo: w sekcji *U dołu*, jeśli użyjesz schematu wyszukiwania *Poklatkowo*, to podwójne kliknięcie myszki w lewej części obszaru - będzie przewijać klatkę do tyłu, a po prawej stronie - klatkę do przodu.
- Obsługa sieciowych List odtwarzania M3U/PLS (na przykład radio internetowe poprzez shoutcast).
- Ulepszono wsparcie dla list odtwarzania M3U.
- Proporcje wideo: piksel-w-piksel (wygodne dla wideo o niskiej rozdzielczość).
- Możliwość określenia jakości obrazu dla zrzutów ekranu.
- Ukryte opcje (mogą być modyfikowane tylko poprzez LA.xml):
  - Możliwość określenia nazwy skórki w zmiennej SkinDouble i przełączania się na nią po kliknięciu PPM na nagłówku.
  - Scheduler.Alarma.EveryHour="1" możliwość aktywowania odgrywania alarmu godzinowego
  - Nastr.LA_DoubleCopy - pozwala na uruchomienie drugiej kopii odtwarzacza z drugiego folderu (w pierwszej kopii parametr powinien być równy 0, a w drugiej równy 1). Wygodne np. dla kopii znajdującej się w Obszarze powiadomień tylko dla funkcji odgrywania alarmu godzinowego. Albo jednej kopii dla audio, a drugiej dla wideo, z że tym każda ma swoje unikalne ustawienia interfejsu.

- Lista odtwarzania: funkcja *Usuń plik z dysku* teraz obsługuje usuwanie wielu plików z listy.
- Wyskakującego menu: pełna reorganizacja elementów w podrozdziale "Lista odtwarzania".
- Ustawienia->Lista odtwarzania: ulepszono funkcję *Dokładność wyszukiwanie plików*, gdy używany jest tryb *Trzy pierwsze znaki*.

#### Silnik wideo

- Wsparcie dekodowania: Opus, Jpeg 2000, Speex
- Wsparcie wideo 4K w trybie DXVA dla kart wideo VP5 (GeForce >=6xx, niektóre 4xx/5xx, seria Quadro/Tesla).
- Obsługa w radiu internetowym formatów MP3/AAC/OGG/OGG-FLAC/OGG-OPUS/WMA, z możliwością zapisu.
- Eksperymentalna obsługa IPTV.
- Dodano obsługę AVC Level 5.1 dla Intel HD Graphics 2500
- Dodano obsługę napisów w plikach VOB.
- Obsługa H.264 Interlaced z dwoma pola w jednej klatce.
- Obsługa dekodowania VC-1 field interlaced w trybie DXVA
- Obsługa napisów XSub (DivX Subtitles) (na chwilę obecną współpracuje tylko z wbudowanymi kodekami)
- Dekoder MPEG2 DXVA: obsługa wideo z klatkami 2:3 Pulldown.
- AVI: ulepszono obsługę H.264.
- MP4/MOV: obsługa ścieżek dźwiękowych AMR Wide-band.
- MP4/MOV: zdefiniowanie meta-tagu Rotate, a następnie odwrócenie wideo.
- MP4/MOV: teraz obsługiwane są nagłówki utworzone w programie HandBrake.
- MP4/MOV: obsługa Speex.
- MP4/MOV: dodano obsługę '3IVD'.
- MP4/MOV: poprawiono obsługę wideo strumieniowego.
- MKV: ulepszenia w obsłudze uszkodzonych/niedokończonych plików, ulepszenia w przewijaniu dla plików z niewielką ilością klatek kluczowych.
- OGG: obsługa Speex.
- OGG: wsparcie dla plików z różnymi "krajami" (gdy w jednym ogg istnieje kilka różnych ścieżek dźwiękowych).
- MPEG: dodano opcję "szybkiego przewijania". Tę opcję można używać na 99%, ale domyślnie jest ona wyłączona, tzn. w niektórych przypadkach przewijanie z tą opcją nie będzie do końca poprawne.
- MPA/OGG: wsparcie strumieniowego audio.
- Napisy: wsparcie napisów DVB w Windows-TV (WTV/DVR-MS).
- Napisy: ulepszenia w obsłudze napisów PGS/HDMV/DVB, tak że teraz normalnie może być wyświetlanych wiele napisów.
- Napisy: obsługa znacznika float dla tagów \fscx i \fscy.
- Opcja aktywacji usuwania przeplotu dla dekodera wideo (przypis: to nie jest programowe przetwarzanie z poziomu dekodera, ale tylko zalecenie dla generatora).

- MPEG: ulepszono funkcjonowanie przewijania dla MPEG-TS, teraz powinno ono w 99.99% przypadkach przechodzić do poprawnego czasu. Rozwiązuje to nieprawidłowe przejchodzenie podczas przwijania w wielu, nawet licencjonowanych, plikach. Jako minus - może być niewielki spadek szybkości przy przewijaniu ciągłym.
- DTSAC3: ulepszono określanie ścieżki AC3.
- MKV: zwiększono liczbę kolejkowanych pakietów dla Matroski - jest to niezbędne minimum dla poprawnego wyświetlania napisów PGS(HDMV)/DVB.
- Teraz bardziej rygorystycznie sprawdzane są parametry karty graficznej na dostępność odpowiednich możliwości do odtworzenia wideo H.264 w trybie DXVA
- Napisy: oprogramowanie obsługujące kolejkowanie napisów - dla rastrowych napisów (bitmap) zawsze wykazywany był niski priorytet, dlatego nie była dla nich używana animacja.
- Napisy: poprawiono mechanizm analizowania i przetwarzania napisów HDMV(PGS).
- Małe optymalizacje pracy z aktywowaną funkcją Podglądu na osi czasu.
- Aktualizacja współczynnika przekształcenia dźwięku stereo w konfiguracje 4.0/5.1/7.1.
- Aktualizacja kodeków, modułu informacji o mediach i innych elementów systemu.
- Inne mniejsze poprawki.

## 4.6.8

Kliknij, aby pokazać / ukryć zawartość

- Dodano japoński plik językowy
- Dodano niemiecki plik językowy
- Alternatywny tryb Listy odtwarzania - Tryb folderów
- Do wyskakującego menu przycisku *Tempo odtwarzania* dodano prędkość х16.
- Obszary wideo: dodano nowe polecenia dla narożnych obszarów wideo
- Ustawienia -> Lista odtwarzania: grupa funkcji sprawdź dostępność plików.
- Ustawienia -> Dźwięk: możliwość konfiguracji wyjścia dźwięku.
- Ustawienia -> Klawiatura: dodano nowe polecenia klawiatury - Rozmiar Listy odtwarzania, Rozmiar paneli folderów i Zmień nazwę pliku.
- Nowe opcje w funkcji pomijania początku/zakończenia.
- W podręcznym menu przycisku Listy odtwarzania *usuwania plików* dodano nową pozycję "Czyść Listę odtwarzania z uszkodzonych/niedostępnych plików".
- Podczas otwierania strumienia sieciowego będzie teraz widoczny stan buforowania.
- Obsługa dekodowania: Opus, Jpeg 2000
- Dodano obsługę AVC Level 5.1 dla Intel HD Graphics 2500
- Obsługa napisów w plikach VOB.
- Obsługa H.264 Interlaced z dwoma polami w jednej klatce.
- Obsługa dekodowania VC-1 field interlaced w trybie DXVA
- Obsługa napisów XSub (DivX Subtitles) (tylko z wbudowanymi kodekami)
- MP4/MOV: zdefiniowanie meta-tagu Rotate, a następnie odwrócenie wideo.
- Dekoder MPEG2 DXVA: obsługa wideo z klatkami 2:3 Pulldown.
- Opcja aktywacji usuwania przeplotu dla dekodera wideo (bez przetwarzania programowego na poziomie dekodera wideo, ale z rekomendacją dla generatora).
- Możliwość robienia zrzutów ekranu w formatach WebP i WebP-LL.
- Ustawienia -> Wideo -> Różne: możliwość określenia jakości obrazu dla zrzutów ekranu.
- Katalog internetowych stacji radiowych. Dostępne w menu podręcznym->Otwórz lub za pomocą skrótu klawiszowego Ctrl+H
- Obsługa śledzenia muzyki (XM, S3M, IT, MOD, ...)

- Ustawienia -> Myszka -> Obszary wideo: w dolnym obszarze wideo, jeśli używany jest zwykły schemat skoków, przytrzymując Shift można tymczasowo aktywować schemat poklatkowy i na odwrót.
- Ustawienia -> Myszka -> Obszary wideo: w poklatkowym schemacie skoków (w dolnym obszarze wideo) podwójne kliknięcie w lewej części obszaru - klatka do tyłu, w prawej - klatka do przodu.
- Ustawienia -> Klawiatura -> Alternatywne: możliwość korzystania z alternatywnych skrótów klawiszowych na laptopach bez właściwej klawiatury numerycznej.
- Ustawienia dźwięku: możliwość zapisywania/wczytywania ustawień Korektora do/z profilowych plików użytkownika.
- Możliwość zmiany nazwy zakładki w Liście odtwarzania.
- Lista odtwarzania: funkcja *Usuń plik z dysku* teraz obsługuje usuwanie wielu plików z listy.
- Zmieniono rozszerzenie nazwy pliku dla automatycznego pomijania rozpoczęcia/zakończenia z *.oe na *.skip
- FLV: przyspieszono otwieranie wideo strumieniowego, określono czas trwania pliku podczas odtwarzania.
- Przerobiono rozszerzoną historię otwieranych plików.
- Ustawienia zrzutów ekranu wykonano w osobnej karcie.

## 4.6.7

Kliknij, aby pokazać / ukryć zawartość

- Dodano polski plik językowy autorstwa Adama Malich.
- Dodano przechwyt ustawień z poprzedniej wersji.
- Dodano automatyczne pomijanie dla odcinków.
- Ustawienia -> Klawiatura: dodano nowe polecenia
- Dodano WASAPI Audio Renderer do listy urządzeń dźwiękowych.
- Dodano ograniczone wsparcie dla odtwarzania ISO (niezbędny LAV Filters)
- Ustawienia->Klawisze globalne: możliwość określenia klawiszy multimedialnych dla dostępnych poleceń; dodano 4 nowe polecenia
- Możliwość określenia kodowania napisów; wsparcie dla ass/ssa; przycisk «Domyślne» przywraca teraz standardowy styl napisów, a nie tylko ustawienia formatki.
- Planner: dodano funkcję «przejdź w tryb gotowości».
- Ustawienia -> Myszka: nowa funkcja — Wywołuj wyskakujące menu przycisków ustawień wideo/dźwięku/napisów LPM.
- Menu kontekstowe osi czasu: funkcja przewijania po klatkach kluczowych.
- Wsparcie RealAudio 14.4.
- Wsparcie dekodowania DVCPRO 50, Apple DVCPRO HD 1080i60, RealAudio Lossless, MSS2, WMA Voice, Canopus CLLC.
- Dekoder audio: można wybrać konfigurację głośników.
- AVI Splitter: dodano okno dialogowe ustawień
- Poprawiono kompatybilność z zewnętrznym filtrem DirectVobSub (np. xy-vsfilter).

- Zmieniono domyślne klawisze dla niektórych poleceń.
- Teraz ustawienia wideo/napisów mogą być otwierane bez konieczności otwierania wideo.
- Znaczna optymalizacja list wewnętrznych i zewnętrznych dla wielkiej ilości plików.
- Ustawienia->Zdarzenia: funkcja Zastosuj zapisane ustawienia multimedialne ma teraz wyższy priorytet, niż Wymuszanie proporcji w Ustawienia -> Wideo.
- Przy wywoływaniu polecenia Alt+Q (wyładuj plik) rozmiar okna odtwarzacza nie powracał do standardowego, jeśli odtwarzacz w danym momencie znajdował się w trybie pełnego ekranu.
- Przeglądarka napisów: wsparcie dla Unicode; możliwość zmiany rozmiaru formatki; wsparcie multi linii; wsparcie zmiany czasu; inne ulepszenia w funkcjonalności.